/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

/*
 * Generador.java
 *
 * Created on 31/08/2011, 10:37:56 AM
 */

/*
 * Autores:
 * Luis Alfonso Velez Santos
 * Carlos Yesid Hernandez Herrera
 * Jose Esteban Betin Diaz
 */

package Vista;

import GenaracionNumeros.NumerosRectangulares;
import java.util.ArrayList;
import javax.swing.JOptionPane;
import auxiliares.*;
import javax.swing.DefaultListModel;


public class JPanelGenerador extends javax.swing.JPanel {
    private ArrayList<Float> numeros;
    private NumerosRectangulares gna=new NumerosRectangulares();
    
    /** Creates new form Generador */
    public JPanelGenerador() {
        initComponents();

        jComboBox1.setSelectedIndex(0);
        seleccionMetodo();

    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jPanel1 = new javax.swing.JPanel();
        jLabel1 = new javax.swing.JLabel();
        jSeparator1 = new javax.swing.JSeparator();
        jLabel2 = new javax.swing.JLabel();
        jComboBox1 = new javax.swing.JComboBox();
        jSeparator2 = new javax.swing.JSeparator();
        jLabel3 = new javax.swing.JLabel();
        jLabelM = new javax.swing.JLabel();
        jLabelX0 = new javax.swing.JLabel();
        jTextFieldA = new javax.swing.JTextField();
        jTextFieldX1 = new javax.swing.JTextField();
        jLabelX1 = new javax.swing.JLabel();
        jLabelD = new javax.swing.JLabel();
        jTextFieldX0 = new javax.swing.JTextField();
        jLabelA = new javax.swing.JLabel();
        jTextFieldD = new javax.swing.JTextField();
        jLabelK = new javax.swing.JLabel();
        jTextFieldK = new javax.swing.JTextField();
        jTextFieldC = new javax.swing.JTextField();
        jLabelC = new javax.swing.JLabel();
        jScrollPane1 = new javax.swing.JScrollPane();
        jList1 = new javax.swing.JList();
        jLabel11 = new javax.swing.JLabel();
        jPanel2 = new javax.swing.JPanel();
        jButtonGenerar = new javax.swing.JButton();
        jButtonLimpiar = new javax.swing.JButton();
        jLabelN = new javax.swing.JLabel();
        jTextFieldN = new javax.swing.JTextField();
        jCheckBox1 = new javax.swing.JCheckBox();
        jLabelPeriodo = new javax.swing.JLabel();
        jTextFieldM = new javax.swing.JTextField();

        setMinimumSize(new java.awt.Dimension(600, 500));
        setPreferredSize(new java.awt.Dimension(600, 500));

        jPanel1.setMinimumSize(new java.awt.Dimension(600, 400));
        jPanel1.setPreferredSize(new java.awt.Dimension(700, 500));

        jLabel1.setFont(new java.awt.Font("Ubuntu", 3, 24)); // NOI18N
        jLabel1.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        jLabel1.setText("Generador de Numeros Aleatorios");

        jLabel2.setFont(new java.awt.Font("Times New Roman", 0, 12)); // NOI18N
        jLabel2.setText("Metodo Generador:");

        jComboBox1.setMaximumRowCount(6);
        jComboBox1.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Fibonacci", "Green", "Cuadratico", "Congruencial Multiplicativo", "Congruencial Mixto", "Mitchell-Moore", "Mixto", "MezclaI", "MezclaII" }));
        jComboBox1.addItemListener(new java.awt.event.ItemListener() {
            public void itemStateChanged(java.awt.event.ItemEvent evt) {
                jComboBox1ItemStateChanged(evt);
            }
        });

        jLabel3.setFont(new java.awt.Font("Times New Roman", 0, 12)); // NOI18N
        jLabel3.setText("Valores Iniciales:");

        jLabelM.setText("M");

        jLabelX0.setText("Xo");

        jTextFieldA.setDocument(new LimitadorSoloNumerosNumMaxCaracteres(jTextFieldA, 9));
        jTextFieldA.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jTextFieldAActionPerformed(evt);
            }
        });

        jTextFieldX1.setDocument(new LimitadorSoloNumerosNumMaxCaracteres(jTextFieldX1, 9));
        jTextFieldX1.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jTextFieldX1ActionPerformed(evt);
            }
        });

        jLabelX1.setText("X1");

        jLabelD.setText("D");

        jTextFieldX0.setDocument(new LimitadorSoloNumerosNumMaxCaracteres(jTextFieldX0, 9));
        jTextFieldX0.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jTextFieldX0ActionPerformed(evt);
            }
        });

        jLabelA.setText("A");

        jTextFieldD.setDocument(new LimitadorSoloNumerosNumMaxCaracteres(jTextFieldD, 9));
        jTextFieldD.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jTextFieldDActionPerformed(evt);
            }
        });

        jLabelK.setText("K");

        jTextFieldK.setDocument(new LimitadorSoloNumerosNumMaxCaracteres(jTextFieldK, 9));
        jTextFieldK.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jTextFieldKActionPerformed(evt);
            }
        });

        jTextFieldC.setDocument(new LimitadorSoloNumerosNumMaxCaracteres(jTextFieldC, 9));
        jTextFieldC.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jTextFieldCActionPerformed(evt);
            }
        });

        jLabelC.setText("C");

        jScrollPane1.setViewportView(jList1);

        jLabel11.setFont(new java.awt.Font("Times New Roman", 0, 12)); // NOI18N
        jLabel11.setText("Numeros Generados");

        jButtonGenerar.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Vista/iconos/1317344174_play.png"))); // NOI18N
        jButtonGenerar.setToolTipText("Generar");
        jButtonGenerar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonGenerarActionPerformed(evt);
            }
        });

        jButtonLimpiar.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Vista/iconos/1317344715_edit-clear.png"))); // NOI18N
        jButtonLimpiar.setToolTipText("Limpiar");
        jButtonLimpiar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonLimpiarActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout jPanel2Layout = new javax.swing.GroupLayout(jPanel2);
        jPanel2.setLayout(jPanel2Layout);
        jPanel2Layout.setHorizontalGroup(
            jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel2Layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jButtonGenerar, javax.swing.GroupLayout.PREFERRED_SIZE, 90, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jButtonLimpiar, javax.swing.GroupLayout.PREFERRED_SIZE, 110, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        jPanel2Layout.linkSize(javax.swing.SwingConstants.HORIZONTAL, new java.awt.Component[] {jButtonGenerar, jButtonLimpiar});

        jPanel2Layout.setVerticalGroup(
            jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel2Layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jButtonGenerar)
                    .addComponent(jButtonLimpiar))
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        jLabelN.setText("n");

        jTextFieldN.setDocument(new LimitadorSoloNumerosNumMaxCaracteres(jTextFieldN, 9));

        jCheckBox1.setText("Validar");

        jLabelPeriodo.setFont(new java.awt.Font("Ubuntu", 0, 24)); // NOI18N

        jTextFieldM.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jTextFieldMActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout jPanel1Layout = new javax.swing.GroupLayout(jPanel1);
        jPanel1.setLayout(jPanel1Layout);
        jPanel1Layout.setHorizontalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel1Layout.createSequentialGroup()
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jPanel2, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addGap(41, 41, 41)
                        .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(jSeparator1, javax.swing.GroupLayout.PREFERRED_SIZE, 623, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addGroup(jPanel1Layout.createSequentialGroup()
                                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                    .addGroup(jPanel1Layout.createSequentialGroup()
                                        .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                            .addGroup(jPanel1Layout.createSequentialGroup()
                                                .addComponent(jLabel2)
                                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                                .addComponent(jComboBox1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                                            .addComponent(jLabel3)
                                            .addComponent(jCheckBox1, javax.swing.GroupLayout.PREFERRED_SIZE, 132, javax.swing.GroupLayout.PREFERRED_SIZE)
                                            .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING, false)
                                                .addComponent(jLabelPeriodo, javax.swing.GroupLayout.Alignment.LEADING, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                                .addComponent(jSeparator2, javax.swing.GroupLayout.Alignment.LEADING, javax.swing.GroupLayout.DEFAULT_SIZE, 442, Short.MAX_VALUE)))
                                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                                    .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanel1Layout.createSequentialGroup()
                                        .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                            .addComponent(jLabelX0)
                                            .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                                                .addComponent(jLabelK)
                                                .addComponent(jLabelX1)))
                                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                                        .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                            .addComponent(jTextFieldX0, javax.swing.GroupLayout.PREFERRED_SIZE, 63, javax.swing.GroupLayout.PREFERRED_SIZE)
                                            .addComponent(jTextFieldX1, javax.swing.GroupLayout.DEFAULT_SIZE, 109, Short.MAX_VALUE)
                                            .addComponent(jTextFieldK, javax.swing.GroupLayout.DEFAULT_SIZE, 109, Short.MAX_VALUE))
                                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                        .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                            .addComponent(jLabelM)
                                            .addComponent(jLabelD)
                                            .addComponent(jLabelN))
                                        .addGap(18, 18, 18)
                                        .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                            .addComponent(jTextFieldN)
                                            .addComponent(jTextFieldD, javax.swing.GroupLayout.PREFERRED_SIZE, 61, javax.swing.GroupLayout.PREFERRED_SIZE)
                                            .addComponent(jTextFieldM, javax.swing.GroupLayout.PREFERRED_SIZE, 106, javax.swing.GroupLayout.PREFERRED_SIZE))
                                        .addGap(18, 18, 18)
                                        .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                            .addComponent(jLabelA)
                                            .addComponent(jLabelC))
                                        .addGap(18, 18, 18)
                                        .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                            .addComponent(jTextFieldC, javax.swing.GroupLayout.PREFERRED_SIZE, 60, javax.swing.GroupLayout.PREFERRED_SIZE)
                                            .addComponent(jTextFieldA, javax.swing.GroupLayout.DEFAULT_SIZE, 109, Short.MAX_VALUE))
                                        .addGap(69, 69, 69)))
                                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                                    .addComponent(jScrollPane1, 0, 0, Short.MAX_VALUE)
                                    .addComponent(jLabel11, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                                .addGap(150, 150, 150))
                            .addComponent(jLabel1, javax.swing.GroupLayout.PREFERRED_SIZE, 537, javax.swing.GroupLayout.PREFERRED_SIZE))))
                .addContainerGap())
        );

        jPanel1Layout.linkSize(javax.swing.SwingConstants.HORIZONTAL, new java.awt.Component[] {jTextFieldA, jTextFieldC, jTextFieldD, jTextFieldK, jTextFieldX0, jTextFieldX1});

        jPanel1Layout.setVerticalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jLabel1, javax.swing.GroupLayout.PREFERRED_SIZE, 33, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jSeparator1, javax.swing.GroupLayout.PREFERRED_SIZE, 10, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addGap(10, 10, 10)
                        .addComponent(jLabel11)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                        .addComponent(jScrollPane1, javax.swing.GroupLayout.DEFAULT_SIZE, 285, Short.MAX_VALUE)
                        .addGap(51, 51, 51)
                        .addComponent(jPanel2, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(jLabel2)
                            .addComponent(jComboBox1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jCheckBox1)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabelPeriodo, javax.swing.GroupLayout.PREFERRED_SIZE, 60, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addGap(18, 18, 18)
                        .addComponent(jSeparator2, javax.swing.GroupLayout.PREFERRED_SIZE, 10, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                        .addComponent(jLabel3)
                        .addGap(18, 18, 18)
                        .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(jLabelX0)
                            .addComponent(jTextFieldX0, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(jLabelM)
                            .addComponent(jLabelA)
                            .addComponent(jTextFieldA, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(jTextFieldM, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                        .addGap(18, 18, 18)
                        .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(jLabelX1)
                            .addComponent(jTextFieldX1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(jLabelD)
                            .addComponent(jTextFieldD, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(jLabelC)
                            .addComponent(jTextFieldC, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                        .addGap(18, 18, 18)
                        .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(jLabelK)
                            .addComponent(jTextFieldK, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(jLabelN)
                            .addComponent(jTextFieldN, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                        .addGap(0, 0, Short.MAX_VALUE))))
        );

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jPanel1, javax.swing.GroupLayout.DEFAULT_SIZE, 600, Short.MAX_VALUE)
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jPanel1, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
        );
    }// </editor-fold>//GEN-END:initComponents

    private void jTextFieldAActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jTextFieldAActionPerformed
        // TODO add your handling code here:
}//GEN-LAST:event_jTextFieldAActionPerformed

    private void jTextFieldX1ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jTextFieldX1ActionPerformed
        // TODO add your handling code here:
}//GEN-LAST:event_jTextFieldX1ActionPerformed

    private void jTextFieldX0ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jTextFieldX0ActionPerformed
        // TODO add your handling code here:
}//GEN-LAST:event_jTextFieldX0ActionPerformed

    private void jTextFieldDActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jTextFieldDActionPerformed
        // TODO add your handling code here:
}//GEN-LAST:event_jTextFieldDActionPerformed

    private void jTextFieldKActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jTextFieldKActionPerformed
        // TODO add your handling code here:
}//GEN-LAST:event_jTextFieldKActionPerformed

    private void jTextFieldCActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jTextFieldCActionPerformed
        // TODO add your handling code here:
}//GEN-LAST:event_jTextFieldCActionPerformed

    private void jButtonGenerarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonGenerarActionPerformed
        generarNumeros();
}//GEN-LAST:event_jButtonGenerarActionPerformed

    private void jComboBox1ItemStateChanged(java.awt.event.ItemEvent evt) {//GEN-FIRST:event_jComboBox1ItemStateChanged
        seleccionMetodo();
    }//GEN-LAST:event_jComboBox1ItemStateChanged

    private void jButtonLimpiarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonLimpiarActionPerformed
        jTextFieldA.setText("");
        jTextFieldC.setText("");
        jTextFieldD.setText("");
        jTextFieldK.setText("");
        jTextFieldM.setText("");
        jTextFieldN.setText("");
        jTextFieldX0.setText("");
        jTextFieldX1.setText("");
        DefaultListModel lm = new DefaultListModel();
        jList1.setModel(lm);
        numeros.clear();       
        
    }//GEN-LAST:event_jButtonLimpiarActionPerformed

    private void jTextFieldMActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jTextFieldMActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_jTextFieldMActionPerformed

    private void seleccionMetodo(){
        //Fibonacci, Green, Cuadratico, C.Multiplicativo, C.Mixto, Mitchell-Moore, Mixto, MezclaI, MezclaII
        switch(jComboBox1.getSelectedIndex()){
            case 0://Fibbonacci
                jCheckBox1.setEnabled(false);
                jTextFieldC.setVisible(false);
                jTextFieldM.setVisible(true);
                jTextFieldX0.setVisible(true);
                jTextFieldA.setVisible(false);
                jTextFieldK.setVisible(false);
                jTextFieldX1.setVisible(true);
                jTextFieldD.setVisible(false);
                jLabelA.setVisible(false);
                jLabelC.setVisible(false);
                jLabelM.setVisible(true);
                jLabelX0.setVisible(true);
                jLabelK.setVisible(false);
                jLabelX1.setVisible(true);
                jLabelD.setVisible(false);
                jTextFieldN.setVisible(false);
                jLabelN.setVisible(false);
                break;
            case 1://green
                jCheckBox1.setEnabled(false);
                jTextFieldC.setVisible(false);
                jTextFieldM.setVisible(true);
                jTextFieldX0.setVisible(false);
                jTextFieldA.setVisible(false);
                jTextFieldK.setVisible(true);
                jTextFieldX1.setVisible(false);
                jTextFieldD.setVisible(false);
                jLabelA.setVisible(false);
                jLabelC.setVisible(false);
                jLabelM.setVisible(true);
                jLabelX0.setVisible(false);
                jLabelK.setVisible(true);
                jLabelX1.setVisible(false);
                jLabelD.setVisible(false);
                jTextFieldN.setVisible(false);
                jLabelN.setVisible(false);
                break;
            case 2://cuadratico
                jCheckBox1.setEnabled(true);
                jTextFieldC.setVisible(true);
                jTextFieldM.setVisible(true);
                jTextFieldX0.setVisible(true);
                jTextFieldA.setVisible(true);
                jTextFieldK.setVisible(false);
                jTextFieldX1.setVisible(false);
                jTextFieldD.setVisible(true);
                jLabelA.setVisible(true);
                jLabelC.setVisible(true);
                jLabelM.setVisible(true);
                jLabelX0.setVisible(true);
                jLabelK.setVisible(false);
                jLabelX1.setVisible(false);
                jLabelD.setVisible(true);
                jTextFieldN.setVisible(false);
                jLabelN.setVisible(false);
                break;
            case 3://C.multiplicativo
                jCheckBox1.setEnabled(true);
                jTextFieldC.setVisible(false);
                jTextFieldM.setVisible(true);
                jTextFieldX0.setVisible(true);
                jTextFieldA.setVisible(true);
                jTextFieldK.setVisible(false);
                jTextFieldX1.setVisible(false);
                jTextFieldD.setVisible(false);
                jLabelA.setVisible(true);
                jLabelC.setVisible(false);
                jLabelM.setVisible(true);
                jLabelX0.setVisible(true);
                jLabelK.setVisible(false);
                jLabelX1.setVisible(false);
                jLabelD.setVisible(false);
                jTextFieldN.setVisible(false);
                jLabelN.setVisible(false);
                break;
            case 4://C.Mixto
                jCheckBox1.setEnabled(true);
                jTextFieldC.setVisible(true);
                jTextFieldM.setVisible(true);
                jTextFieldX0.setVisible(true);
                jTextFieldA.setVisible(true);
                jTextFieldK.setVisible(false);
                jTextFieldX1.setVisible(false);
                jTextFieldD.setVisible(false);
                jLabelA.setVisible(true);
                jLabelC.setVisible(true);
                jLabelM.setVisible(true);
                jLabelX0.setVisible(true);
                jLabelK.setVisible(false);
                jLabelX1.setVisible(false);
                jLabelD.setVisible(false);
                jTextFieldN.setVisible(false);
                jLabelN.setVisible(false);
                break;
            case 5://Michell Moore
                jCheckBox1.setEnabled(false);
                jTextFieldN.setVisible(true);
                jLabelN.setVisible(true);
                jTextFieldC.setVisible(false);
                jTextFieldM.setVisible(true);
                jTextFieldX0.setVisible(false);
                jTextFieldA.setVisible(false);
                jTextFieldK.setVisible(false);
                jTextFieldX1.setVisible(false);
                jTextFieldD.setVisible(false);
                jLabelA.setVisible(false);
                jLabelC.setVisible(false);
                jLabelM.setVisible(true);
                jLabelX0.setVisible(false);
                jLabelK.setVisible(false);
                jLabelX1.setVisible(false);
                jLabelD.setVisible(false);
                break;
            case 6://Mixto
                jCheckBox1.setEnabled(false);
                jTextFieldC.setVisible(false);
                jTextFieldM.setVisible(true);
                jTextFieldX0.setVisible(false);
                jTextFieldA.setVisible(false);
                jTextFieldK.setVisible(true);
                jTextFieldX1.setVisible(false);
                jTextFieldD.setVisible(false);
                jLabelA.setVisible(false);
                jLabelC.setVisible(false);
                jLabelM.setVisible(true);
                jLabelX0.setVisible(false);
                jLabelK.setVisible(true);
                jLabelX1.setVisible(false);
                jLabelD.setVisible(false);
                jTextFieldN.setVisible(true);
                jLabelN.setVisible(true);
                break;
            case 7://Mezcla 1
                jCheckBox1.setEnabled(false);
                jTextFieldC.setVisible(false);
                jTextFieldM.setVisible(true);
                jTextFieldX0.setVisible(false);
                jTextFieldA.setVisible(false);
                jTextFieldK.setVisible(true);
                jTextFieldX1.setVisible(false);
                jTextFieldD.setVisible(false);
                jLabelA.setVisible(false);
                jLabelC.setVisible(false);
                jLabelM.setVisible(true);
                jLabelX0.setVisible(false);
                jLabelK.setVisible(true);
                jLabelX1.setVisible(false);
                jLabelD.setVisible(false);
                jTextFieldN.setVisible(false);
                jLabelN.setVisible(false);
                break;
            case 8://mezcla 2
                jCheckBox1.setEnabled(false);
                jTextFieldC.setVisible(false);
                jTextFieldM.setVisible(true);
                jTextFieldX0.setVisible(false);
                jTextFieldA.setVisible(false);
                jTextFieldK.setVisible(true);
                jTextFieldX1.setVisible(false);
                jTextFieldD.setVisible(false);
                jLabelA.setVisible(false);
                jLabelC.setVisible(false);
                jLabelM.setVisible(true);
                jLabelX0.setVisible(false);
                jLabelK.setVisible(true);
                jLabelX1.setVisible(false);
                jLabelD.setVisible(false);
                jTextFieldN.setVisible(false);
                jLabelN.setVisible(false);
                break;
        }
    }


    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton jButtonGenerar;
    private javax.swing.JButton jButtonLimpiar;
    private javax.swing.JCheckBox jCheckBox1;
    private javax.swing.JComboBox jComboBox1;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel11;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabelA;
    private javax.swing.JLabel jLabelC;
    private javax.swing.JLabel jLabelD;
    private javax.swing.JLabel jLabelK;
    private javax.swing.JLabel jLabelM;
    private javax.swing.JLabel jLabelN;
    private javax.swing.JLabel jLabelPeriodo;
    private javax.swing.JLabel jLabelX0;
    private javax.swing.JLabel jLabelX1;
    private javax.swing.JList jList1;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JPanel jPanel2;
    private javax.swing.JScrollPane jScrollPane1;
    private javax.swing.JSeparator jSeparator1;
    private javax.swing.JSeparator jSeparator2;
    private javax.swing.JTextField jTextFieldA;
    private javax.swing.JTextField jTextFieldC;
    private javax.swing.JTextField jTextFieldD;
    private javax.swing.JTextField jTextFieldK;
    private javax.swing.JTextField jTextFieldM;
    private javax.swing.JTextField jTextFieldN;
    private javax.swing.JTextField jTextFieldX0;
    private javax.swing.JTextField jTextFieldX1;
    // End of variables declaration//GEN-END:variables

    void setNumeros(ArrayList<Float> numeros) {
        this.numeros = numeros;
    }

    private void generarNumeros() {
            switch(jComboBox1.getSelectedIndex()){
                case 0://Fibbonacci
                    if(!numeros.isEmpty()){
                        numeros.clear();
//                        numeros = new ArrayList<Float>();
                    }
                    if(!(jTextFieldM.getText().equals("")||jTextFieldX0.getText().equals("")
                            ||jTextFieldX1.getText().equals(""))){
                        numeros.addAll(gna.metodoAditivoFibonacci(Auxiliares.convertirStringAEntero(jTextFieldM), Auxiliares.convertirStringAEntero(jTextFieldX1), Auxiliares.convertirStringAEntero(jTextFieldX0)));
                        jLabelPeriodo.setText("Periodo: "+numeros.size());
                        llenarLista();
                    }else{
                        JOptionPane.showMessageDialog(this, "Hay Campos vacios", "Error", JOptionPane.ERROR_MESSAGE);
                    }
                    break;
                case 1://green
                    if(!numeros.isEmpty()){
                        numeros.clear();
//                        numeros = new ArrayList<Float>();
                    }
                    if(!(jTextFieldM.getText().equals("")||jTextFieldK.getText().equals(""))){
                        numeros.addAll(gna.metodoAditivoGreen(Auxiliares.convertirStringAEntero(jTextFieldM), Auxiliares.convertirStringAEntero(jTextFieldK)));
                        llenarLista();
                        jLabelPeriodo.setText("Periodo: "+numeros.size());
                    }else{
                        JOptionPane.showMessageDialog(this, "Hay Campos vacios", "Error", JOptionPane.ERROR_MESSAGE);
                    }
                    break;
                case 2://cuadratico
                    if(!numeros.isEmpty()){
                        numeros.clear();
//                        numeros = new ArrayList<Float>();
                    }
                    if(!(jTextFieldM.getText().equals("")||jTextFieldA.getText().equals("")||
                            jTextFieldX0.getText().equals("")||jTextFieldD.getText().equals("")||
                            jTextFieldC.getText().equals(""))){
                        if(jCheckBox1.isSelected()){
                            numeros.addAll(gna.congruencialCuadraticoValidado(Auxiliares.convertirStringAEntero(jTextFieldM),
                                    Auxiliares.convertirStringAEntero(jTextFieldD), Auxiliares.convertirStringAEntero(jTextFieldA)
                                    , Auxiliares.convertirStringAEntero(jTextFieldC), Auxiliares.convertirStringAEntero(jTextFieldX0)));
                            jLabelPeriodo.setText("Periodo: "+numeros.size());
                            llenarLista();
                        }else{
                            numeros.addAll(gna.congruencialCuadratico(Auxiliares.convertirStringAEntero(jTextFieldM),
                                    Auxiliares.convertirStringAEntero(jTextFieldD), Auxiliares.convertirStringAEntero(jTextFieldA)
                                    , Auxiliares.convertirStringAEntero(jTextFieldC), Auxiliares.convertirStringAEntero(jTextFieldX0)));
                            llenarLista();
                            jLabelPeriodo.setText("Periodo: "+numeros.size());
                        }

                    }else{
                        JOptionPane.showMessageDialog(this, "Hay Campos vacios", "Error", JOptionPane.ERROR_MESSAGE);
                    }
                    break;
                case 3://C.multiplicativo
 
                    if(!numeros.isEmpty()){
                       numeros.clear();
//                        numeros = new ArrayList<Float>();
                    }
                    if(!(jTextFieldM.getText().equals("")||jTextFieldA.getText().equals("")||
                            jTextFieldX0.getText().equals(""))){
                        if(jCheckBox1.isSelected()){
                            numeros.addAll(gna.congruencialMultiplicativoValidado(Auxiliares.convertirStringAEntero(jTextFieldM),
                                    Auxiliares.convertirStringAEntero(jTextFieldA), Auxiliares.convertirStringAEntero(jTextFieldX0)));
                            llenarLista();
                            jLabelPeriodo.setText("Periodo: "+numeros.size()+" ");
                        }else{
                            numeros.addAll(gna.congruencialMultiplicativo(Auxiliares.convertirStringAEntero(jTextFieldM),
                                    Auxiliares.convertirStringAEntero(jTextFieldA), Auxiliares.convertirStringAEntero(jTextFieldX0)));
                            llenarLista();
                            jLabelPeriodo.setText("Periodo: "+numeros.size()+" ");
                        }
                    }else{
                        JOptionPane.showMessageDialog(this, "Hay Campos vacios", "Error", JOptionPane.ERROR_MESSAGE);
                    }

                    
                    break;
                case 4://C.Mixto
                    if(!numeros.isEmpty()){
                       numeros.clear();
//                        numeros = new ArrayList<Float>();
                    }
                    
                    if(!(jTextFieldM.getText().equals("")||jTextFieldA.getText().equals("")||
                            jTextFieldX0.getText().equals("")||jTextFieldC.getText().equals(""))){
                        if(jCheckBox1.isSelected()){
                            numeros.addAll(gna.congruencialMixtoValidado(Auxiliares.convertirStringAEntero(jTextFieldM),
                                    Auxiliares.convertirStringAEntero(jTextFieldC), Auxiliares.convertirStringAEntero(jTextFieldA),Auxiliares.convertirStringAEntero(jTextFieldX0)));
                            jLabelPeriodo.setText("Periodo: "+numeros.size());
                            llenarLista();
                            jLabelPeriodo.setText("Periodo: "+numeros.size());
                        }else{
                            numeros.addAll(gna.congruencialMixto(Auxiliares.convertirStringAEntero(jTextFieldM),
                                    Auxiliares.convertirStringAEntero(jTextFieldC), Auxiliares.convertirStringAEntero(jTextFieldA),Auxiliares.convertirStringAEntero(jTextFieldX0)));
                            jLabelPeriodo.setText("Periodo: "+numeros.size());
                            llenarLista();
                            jLabelPeriodo.setText("Periodo: "+numeros.size());
                        }
                    }else{
                        JOptionPane.showMessageDialog(this, "Hay Campos vacios", "Error", JOptionPane.ERROR_MESSAGE);
                    }
                    break;
                case 5://Michell Moore
                    if(!numeros.isEmpty()){
                        numeros.clear();
//                        numeros = new ArrayList<Float>();
                    }
                    if(!(jTextFieldM.getText().equals("")||jTextFieldN.getText().equals(""))){
                        numeros.addAll(gna.MetodoAditivoMichellMoore(Auxiliares.convertirStringAEntero(jTextFieldM),
                                Auxiliares.convertirStringAEntero(jTextFieldN)));
                        llenarLista();
                        jLabelPeriodo.setText("Periodo: "+numeros.size());
                    }else{
                        JOptionPane.showMessageDialog(this, "Hay Campos vacios", "Error", JOptionPane.ERROR_MESSAGE);
                    }
                    break;
                case 6://Mixto
                    if(!numeros.isEmpty()){
                      numeros.clear();
//                        numeros = new ArrayList<Float>();
                    }
                    if(!(jTextFieldM.getText().equals("")||jTextFieldN.getText().equals("")||jTextFieldK.getText().equals(""))){
                        numeros.addAll(gna.metodoMixto(Auxiliares.convertirStringAEntero(jTextFieldM), Auxiliares.convertirStringAEntero(jTextFieldK), Auxiliares.convertirStringAEntero(jTextFieldN)));
                        llenarLista();
                        jLabelPeriodo.setText("Periodo: "+numeros.size());
                    }else{
                        JOptionPane.showMessageDialog(this, "Hay Campos vacios", "Error", JOptionPane.ERROR_MESSAGE);
                    }
                    break;
                case 7://Mezcla 1
                    if(!numeros.isEmpty()){
                        numeros.clear();
//                        numeros = new ArrayList<Float>();
                    }
                    if(!(jTextFieldM.getText().equals("")||jTextFieldK.getText().equals(""))){
                        numeros.addAll(gna.metodoMezcla1(Auxiliares.convertirStringAEntero(jTextFieldM), Auxiliares.convertirStringAEntero(jTextFieldK)));
//                            Metodo_MezclaI me1 = new Metodo_MezclaI(Auxiliares.convertirStringAEntero(jTextFieldK), Auxiliares.convertirStringAEntero(jTextFieldM));
//                            numeros.addAll(me1.MezclaIValidado());
                        llenarLista();
                        jLabelPeriodo.setText("Periodo: "+numeros.size());
                        
                    }else{
                        JOptionPane.showMessageDialog(this, "Hay Campos vacios", "Error", JOptionPane.ERROR_MESSAGE);
                    }
                    break;
                case 8://mezcla 2
                    if(!numeros.isEmpty()){
                       numeros.clear();
//                        numeros = new ArrayList<Float>();
                    }
                    if(!(jTextFieldM.getText().equals("")||jTextFieldK.getText().equals(""))){                       
                            numeros.addAll(gna.metodoMezcla2(Auxiliares.convertirStringAEntero(jTextFieldM), Auxiliares.convertirStringAEntero(jTextFieldK)));//
                            llenarLista();
                            jLabelPeriodo.setText("Periodo: "+numeros.size());                       
                    }else{
                        JOptionPane.showMessageDialog(this, "Hay Campos vacios", "Error", JOptionPane.ERROR_MESSAGE);
                    }
                    break;
            }
    }

    public void llenarLista(){
        if(!numeros.isEmpty()){
            DefaultListModel lm = new DefaultListModel();
            jList1.setModel(lm);
            for(int i=0;i<=numeros.size();i++){
                lm.addElement((i+1)+": "+numeros.get(i));
            }
            jList1.setModel(lm);
        }else{
            System.out.println("Error");
        }
    }

}
